MakeMCEuropeanGJRGARCHEngine< RNG, S > Class Template Reference

Monte Carlo GJR-GARCH European engine factory. More...

`#include <ql/pricingengines/vanilla/mceuropeangjrgarchengine.hpp>`

## Public Member Functions

| MakeMCEuropeanGJRGARCHEngine (const boost::shared_ptr< GJRGARCHProcess > &)
MakeMCEuropeanGJRGARCHEngine & | withSteps (Size steps)
MakeMCEuropeanGJRGARCHEngine & | withStepsPerYear (Size steps)
MakeMCEuropeanGJRGARCHEngine & | withSamples (Size samples)
MakeMCEuropeanGJRGARCHEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCEuropeanGJRGARCHEngine & | withMaxSamples (Size samples)
MakeMCEuropeanGJRGARCHEngine & | withSeed (BigNatural seed)
MakeMCEuropeanGJRGARCHEngine & | withAntitheticVariate (bool b=true)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCEuropeanGJRGARCHEngine< RNG, S >

Monte Carlo GJR-GARCH European engine factory.